LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XMouseClickHandler Interface Referencepublished

makes it possible to receive events from the mouse in a certain window. More...

`import "XMouseClickHandler.idl";`

Inheritance diagram for XMouseClickHandler:

## Public Member Functions
boolean | mousePressed ([in] com::sun::star::awt::MouseEvent e)
| is invoked when a mouse button has been pressed on a window.
boolean | mouseReleased ([in] com::sun::star::awt::MouseEvent e)
| is invoked when a mouse button has been released on a window.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive events from the mouse in a certain window.

This handler is usually added via com::sun::star::awt::XUserInputInterception to the controller from com::sun::star::frame::XModel. While com::sun::star::awt::XMouseListener needs to be added to exactly the correct widget.

Also this handler is more flexible, because it optionally allows the consumption of key events.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ mousePressed()

boolean mousePressed | ( | [in] com::sun::star::awt::MouseEvent | e | ) |

is invoked when a mouse button has been pressed on a window.

Returns
  When FALSE is returned the other handlers are called and a following handling of the event by the broadcaster takes place. Otherwise, when TRUE is returned, no other handler will be called and the broadcaster will take no further actions regarding the event.

## ◆ mouseReleased()

boolean mouseReleased | ( | [in] com::sun::star::awt::MouseEvent | e | ) |

is invoked when a mouse button has been released on a window.

Returns
  When FALSE is returned the other handlers are called and a following handling of the event by the broadcaster takes place. Otherwise, when TRUE is returned, no other handler will be called and the broadcaster will take no further actions regarding the event.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMouseClickHandler.idl